# PulpAnsibleClient::AnsibleCollectionVersion

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**upload** | **String** | An uncommitted upload that may be turned into the artifact of the content unit. | [optional] 
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**file** | **File** | An uploaded file that may be turned into the artifact of the content unit. | [optional] 
**expected_name** | **String** | The name of the collection. | [optional] 
**expected_namespace** | **String** | The namespace of the collection. | [optional] 
**expected_version** | **String** | The version of the collection. | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleCollectionVersion.new(artifact: null,
                                 upload: null,
                                 repository: null,
                                 file: null,
                                 expected_name: null,
                                 expected_namespace: null,
                                 expected_version: null)
```


